> ## Documentation Index
> Fetch the complete documentation index at: https://boarddocs.pybash.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get paste content by ID



## OpenAPI

````yaml openapi.json get /{paste}
openapi: 3.1.0
info:
  title: Bin (Board Modified)
  description: >-
    A minimalist pastebin API modified for Board. Device-based storage with
    authentication.
  contact:
    name: Jordan Doyle
    email: jordan@doyle.la
  license:
    name: WTFPL OR 0BSD
    identifier: WTFPL OR 0BSD
  version: 2.0.2
servers: []
security: []
tags:
  - name: info
    description: API information endpoints
  - name: device
    description: Device management endpoints
  - name: paste
    description: Paste management endpoints
paths:
  /{paste}:
    get:
      tags:
        - paste
      summary: Get paste content by ID
      operationId: show_paste
      parameters:
        - name: paste
          in: path
          description: Paste ID (optionally with file extension for syntax highlighting)
          required: true
          schema:
            type: string
        - name: Device-Code
          in: header
          description: 8-character alphanumeric device identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Paste content
          content:
            text/plain: {}
        '400':
          description: Bad request - missing Device-Code header
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: >-
            Unauthorized - paste not owned by this device or invalid
            App-Password
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - app_password: []
components:
  schemas:
    ErrorResponse:
      type: object
      required:
        - error
        - status
      properties:
        error:
          type: string
          description: Error message
        status:
          type: integer
          format: int32
          description: HTTP status code
          minimum: 0
  securitySchemes:
    app_password:
      type: apiKey
      in: header
      name: App-Password

````